Documentation

Assets Public API


Assets Public API


Asset Manager API

The Asset Manager API provides endpoints for managing, discovering assets, reading user projects and organizations. This API uses organization and project level roles to authorize requests.
Download OpenAPI specification:

Rolls the metadata of an asset version to a previous version.


The endpoint to roll back metadata to a previous version.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "Rolls the metadata of an asset version to a previous version."

assetId

string
required
example: b59940b38970
The Id of the asset.

assetVersion

string
required
example: latest
The asset version.

projectId

string
required
example: e5a3ca16-13c7-4f2d-a5bb-984e349911df
The project id.

sequenceNumber

integer
required
example: 10
The sequence to roll back to.

HTTP response status codes for "Rolls the metadata of an asset version to a previous version.":

Code samples for "Rolls the metadata of an asset version to a previous version.":

Request example

curl -X PATCH \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/projects/{projectId}/assets/{assetId}/versions/{assetVersion}/metadata/rollback/{sequenceNumber}"

Response example

{ "code": "string", "message": "string", "stackTrace": "string", "details": [ { "errorCode": "string", "errorMessage": "string" } ]}

Read count of files in the asset and version.


Read count of files in the asset and version.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "Read count of files in the asset and version."

projectId

string
required
example: e5a3ca16-13c7-4f2d-a5bb-984e349911df
The id of the project where the asset is located.

assetId

string
required
example: 65325f523a625f7e1acdb197
The id of the asset.

assetVersion

string
required
The asset version.

HTTP response status codes for "Read count of files in the asset and version.":

Code samples for "Read count of files in the asset and version.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/projects/{projectId}/assets/{assetId}/versions/{assetVersion}/files-count"

Response example

{ "count": 0}

Read count of datasets in the asset and version.


Read count of datasets in the asset and version.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "Read count of datasets in the asset and version."

projectId

string
required
example: e5a3ca16-13c7-4f2d-a5bb-984e349911df
The id of the project where the asset is located.

assetId

string
required
example: 65325f523a625f7e1acdb197
The id of the asset.

assetVersion

string
required
The asset version.

HTTP response status codes for "Read count of datasets in the asset and version.":

Code samples for "Read count of datasets in the asset and version.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/projects/{projectId}/assets/{assetId}/versions/{assetVersion}/datasets-count"

Response example

{ "count": 0}

Read multiple assets in bulk with their files and datasets.


Read multiple assets in bulk with their files and datasets.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "Read multiple assets in bulk with their files and datasets."

projectId

string
required
example: e5a3ca16-13c7-4f2d-a5bb-984e349911df
The project id.

Request body for "Read multiple assets in bulk with their files and datasets."

Media Type:
application/json

assets

array[object]
The assets to retrieve.

assetId

string
required
The asset id.

assetVersion

string
The asset version.

label

string
The label.

includeFields

array[string]
example: ["*","name","description","tags","primaryType","portalMetadata","metadata","metadata.yourFieldName","systemMetadata.fieldName","datasets.*","datasets.name","datasets.isVisible","datasets.workflowName","datasets.description","datasets.tags","datasets.portalMetadata","datasets.metadata","datasets.systemMetadata","datasets.primaryType","files.*","files.filePath","files.description","files.tags","files.portalMetadata","files.metadata","files.systemMetadata","files.userChecksum","files.fileSize","files.downloadURL","files.previewURL"]
The optional fields to include in the response.

HTTP response status codes for "Read multiple assets in bulk with their files and datasets.":

Code samples for "Read multiple assets in bulk with their files and datasets.":

Request example

curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "assets": [ { "assetId": "string", "assetVersion": "string", "label": "string" } ], "includeFields": [ "*", "name", "description", "tags", "primaryType", "portalMetadata", "metadata", "metadata.yourFieldName", "systemMetadata.fieldName", "datasets.*", "datasets.name", "datasets.isVisible", "datasets.workflowName", "datasets.description", "datasets.tags", "datasets.portalMetadata", "datasets.metadata", "datasets.systemMetadata", "datasets.primaryType", "files.*", "files.filePath", "files.description", "files.tags", "files.portalMetadata", "files.metadata", "files.systemMetadata", "files.userChecksum", "files.fileSize", "files.downloadURL", "files.previewURL" ]}' \ "https://services.api.unity.com/assets/v2alpha1/projects/{projectId}/assets/batch/get"

Response example

{ "assets": [ { "asset": { "assetId": "b59940b38970", "assetVersion": "b095dce9-6034-44c4-a02a-d41d7afbfab5", "name": "Tree material", "description": "This is a material to be used in trees", "tags": [ "string" ], "systemTags": [ "string" ], "labels": [ "string" ], "archivedLabels": [ "string" ], "primaryType": "Material", "portalMetadata": "string", "versionNumber": 3, "parentVersionNumber": 2, "changeLog": "- Added tag 'Wood' to asset;\\r\\n- Added a metallic map to material;", "parentAssetVersion": "4", "metadata": { "MarketingPitch": "Your marketing pitch", "Price": 0.5, "Length": 200, "ScorePoints": 15, "IsReadyForPostProcess": true, "ValidatedByManager": false, "ConnectedToWebPortal": false, "LaunchDate": "2023-08-16T08:49:12.1674180", "LastCheckPlan": "2023-08-16T08:49:12.1674180", "DateScanned": "2023-06-05T010:35:05.1674180", "License": "https://assetfilelicense.com", "WebProductPage": "https://productpage.com", "RepoSource": "https://github.com/myprojectrepo", "Priority": "Low|Medium|High", "Certifications": "ISO 4905|ISO 3013", "TeamCharter": "Seoul|Shanghai|Jakarta", "IndustryType": [ "Architecture", "Industrial", "Energy and Oil" ], "Sprints": [ 1, 2, 3, 4, 5 ], "Owner": "5772465996530", "Reviewer": "5772465996530", "Project Lead": "5772465996530" }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "status": "Draft", "isFrozen": true, "created": "2024-01-01T00:00:00Z", "createdBy": "5772465996530", "updated": "2024-01-01T00:00:00Z", "updatedBy": "5772465996530", "sourceProjectId": "string", "projectIds": [ "87cf845f-8ca7-4b2f-9cc1-c3d731335810", "5fd931ab-0950-4e9c-9264-d888f490b5a5", "5e7b9c90-b07e-490c-bfb7-80897f6f7e7e" ], "previewFile": "folder/thumbnail.gif", "previewFileDatasetId": "string", "previewFileUrl": "https://teststorage.com/files/folder/thumbnail.gif", "isPreviewFileUrlOriginalImage": true, "files": [ { "datasetIds": null, "filePath": null, "description": null, "status": null, "created": null, "createdBy": null, "updated": null, "updatedBy": null, "tags": null, "systemTags": null, "portalMetadata": null, "metadata": null, "systemMetadata": null, "userChecksum": null, "fileSize": null, "downloadURL": null, "isDownloadURLOriginalImage": null, "previewURL": null, "previewDatasetId": null, "primaryType": null, "transformationInputFiles": null, "isPreviewURLOriginalImage": null, "mainFile": null } ], "datasets": [ { "datasetId": null, "name": null, "description": null, "isVisible": null, "workflowName": null, "tags": null, "portalMetadata": null, "primaryType": null, "metadata": null, "systemMetadata": null, "status": null, "systemTags": null, "createdBy": null, "created": null, "updatedBy": null, "updated": null, "filesOrder": null, "vcsMappingId": null } ], "assetTemplateId": "string", "statusFlowId": "string", "statusFlowName": "string", "autoSubmit": true, "trashDetails": [ { "projectId": null, "movedToTrashBy": null, "movedToTrashAt": null } ], "upstreamReferences": [ { "id": null, "type": null, "assetId": null, "assetVersion": null, "labelName": null, "sourceDatasetId": null, "targetDatasetId": null, "dependencyType": null, "relativePath": null, "metadata": null } ], "downstreamReferences": [ { "id": null, "type": null, "assetId": null, "assetVersion": null, "labelName": null, "sourceDatasetId": null, "targetDatasetId": null, "dependencyType": null, "relativePath": null, "metadata": null } ], "totalFiles": 0 }, "files": [ { "datasetIds": [ null ], "filePath": "directory/file1.extension", "description": "Normal map 1 for tree object", "status": "Uploaded", "created": "2023-09-15T15:48:26.731Z", "createdBy": "5772465996530", "updated": "2023-09-15T15:48:26.731Z", "updatedBy": "5772465996530", "tags": [ "thumbnail", "small", "model" ], "systemTags": [ null ], "portalMetadata": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "userChecksum": "b0ab4c79218a8a510761e25458bb69b2", "fileSize": 4096, "downloadURL": "http://testdownloadurl.com/file123", "isDownloadURLOriginalImage": true, "previewURL": "https://example.com", "previewDatasetId": "string", "primaryType": "string", "transformationInputFiles": [ null ], "isPreviewURLOriginalImage": true, "mainFile": true } ], "datasets": [ { "datasetId": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "name": "Thumbnails", "description": "Dataset with thumbnails images of the asset.", "isVisible": true, "workflowName": "thumbnail-generation", "tags": [ "thumbnail", "image" ], "portalMetadata": "string", "primaryType": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": {}, "status": "string", "systemTags": [ null ], "createdBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "created": "2023-09-15T10:52:34.398Z", "updatedBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "updated": "2023-09-15T10:52:34.398Z", "filesOrder": [ null ], "vcsMappingId": "string" } ], "upstreamReferences": [ { "id": "string", "type": "string", "assetId": "string", "assetVersion": "string", "labelName": "string", "sourceDatasetId": "string", "targetDatasetId": "string", "dependencyType": "string", "relativePath": "string", "metadata": {} } ], "downstreamReferences": [ { "id": "string", "type": "string", "assetId": "string", "assetVersion": "string", "labelName": "string", "sourceDatasetId": "string", "targetDatasetId": "string", "dependencyType": "string", "relativePath": "string", "metadata": {} } ] } ], "errors": [ { "assetId": "string", "assetVersion": "string", "label": "string", "errorMessage": "string", "errorCode": "string" } ]}

Create asset.


Create a new asset in a project with primary and custom metadata. Note that custom metadata needs first to be created in the organization library, through metadata field definition creation.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "Create asset."

projectId

string
required
example: e5a3ca16-13c7-4f2d-a5bb-984e349911df
The id of the project where the asset will be created.

Request body for "Create asset."

Media Type:
application/json

name

string
required
The name of the asset.

description

string
The description of the asset.

tags

array[string]
example: ["Industry","CAD"]
A list of tags associated with the asset (optionally empty).

primaryType

string
example: Other | 3D Model | Audio | Video | 2D Asset | Script | Material
The primary type of the asset.

portalMetadata

string
The metadata provided by the frontend.

metadata

object
example: {"MarketingPitch":"Your marketing pitch","Price":0.5,"Length":200,"ScorePoints":15,"IsReadyForPostProcess":true,"ValidatedByManager":false,"ConnectedToWebPortal":false,"LaunchDate":"2023-09-15T15:42:52.106Z","LastCheckPlan":"2023-09-15T15:42:52.106Z","DateScanned":"2023-09-15T15:42:52.106Z","License":"https://assetfilelicense.com","WebProductPage":"https://productpage.com","RepoSource":"https://github.com/myprojectrepo","Priority":"Low|Medium|High","Certifications":"ISO 4905|ISO 3013","TeamCharter":"Seoul|Shanghai|Jakarta","IndustryType":["Architecture","Industrial","Energy and Oil"],"Sprints":[1,2,3,4,5],"Owner":"5772465996530","Reviewer":"5772465996530","Project Lead":"5772465996530"}
The searchable custom metadata. Metadata fields need to exist in the organization library. Refer to Metadata field management endpoints.

systemMetadata

object
[Deprecated] This field is deprecated for this request and is read-only. Please use the Metadata field to store additional information.

collections

array[string]
example: ["collection1","project1/collection2"]
The collection(s) to which the asset is linked.

statusFlowId

string
The identifier of the status flow to assign to the asset.

HTTP response status codes for "Create asset.":

Code samples for "Create asset.":

Request example

curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string", "tags": [ "Industry", "CAD" ], "primaryType": "Other | 3D Model | Audio | Video | 2D Asset | Script | Material", "portalMetadata": "string", "metadata": { "MarketingPitch": "Your marketing pitch", "Price": 0.5, "Length": 200, "ScorePoints": 15, "IsReadyForPostProcess": true, "ValidatedByManager": false, "ConnectedToWebPortal": false, "LaunchDate": "2023-09-15T15:42:52.106Z", "LastCheckPlan": "2023-09-15T15:42:52.106Z", "DateScanned": "2023-09-15T15:42:52.106Z", "License": "https://assetfilelicense.com", "WebProductPage": "https://productpage.com", "RepoSource": "https://github.com/myprojectrepo", "Priority": "Low|Medium|High", "Certifications": "ISO 4905|ISO 3013", "TeamCharter": "Seoul|Shanghai|Jakarta", "IndustryType": [ "Architecture", "Industrial", "Energy and Oil" ], "Sprints": [ 1, 2, 3, 4, 5 ], "Owner": "5772465996530", "Reviewer": "5772465996530", "Project Lead": "5772465996530" }, "systemMetadata": {}, "collections": [ "collection1", "project1/collection2" ], "statusFlowId": "string"}' \ "https://services.api.unity.com/assets/v2alpha1/projects/{projectId}/assets"

Response example

{ "assetId": "string", "assetVersion": "string", "datasets": [ { "datasetId": "string", "name": "string", "systemTags": [ "string" ] } ]}

Copy assets from library to a project.


Copy assets from library to a project.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "Copy assets from library to a project."

libraryId

string
required
example: 1daf2f01-2e49-445f-afd4-7f4d998d6fa1
The library ID.

destinationProjectId

string
required
example: e5a3ca16-13c7-4f2d-a5bb-984e349911df
The project ID where the asset will be copied to.

Request body for "Copy assets from library to a project."

Media Type:
application/json
Array Type:
[ { "assetId": "65325f523a625f7e1acdb197", "assetVersion": "b095dce9-6034-44c4-a02a-d41d7afbfab5", "collectionPath": "MainCollection/Collection1", "statusFlowId": "6ca4a681-a48a-4e8e-aa49-4112c2285b2c" }]

HTTP response status codes for "Copy assets from library to a project.":

Code samples for "Copy assets from library to a project.":

Request example

curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '[ { "assetId": "65325f523a625f7e1acdb197", "assetVersion": "b095dce9-6034-44c4-a02a-d41d7afbfab5", "collectionPath": "MainCollection/Collection1", "statusFlowId": "6ca4a681-a48a-4e8e-aa49-4112c2285b2c" }]' \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/duplicate/projects/{destinationProjectId}"

Response example

[ { "id": "6ca4a681-a48a-4e8e-aa49-4112c2285b2c", "name": "Importing Electricity Box", "type": "duplication", "progress": { "value": 0.5, "message": "Copying asset to project." }, "state": "prioritized", "results": {}, "failedReason": "Failed to copy the asset." }]

Read library job.


Read library job.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "Read library job."

jobId

string
required
example: 4230670b-99d0-48b5-a444-a23ecd2c2a50
The job id.

HTTP response status codes for "Read library job.":

Code samples for "Read library job.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/jobs/duplication/{jobId}"

Response example

{ "id": "6ca4a681-a48a-4e8e-aa49-4112c2285b2c", "name": "Importing Electricity Box", "type": "duplication", "progress": { "value": 0.5, "message": "Copying asset to project." }, "state": "prioritized", "results": {}, "failedReason": "Failed to copy the asset."}

Read library jobs.


Read library jobs.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

HTTP response status codes for "Read library jobs.":

Code samples for "Read library jobs.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/jobs/duplication"

Response example

[ { "id": "6ca4a681-a48a-4e8e-aa49-4112c2285b2c", "name": "Importing Electricity Box", "type": "duplication", "progress": { "value": 0.5, "message": "Copying asset to project." }, "state": "prioritized", "results": {}, "failedReason": "Failed to copy the asset." }]

Get library.


Reads a library by id.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "Get library."

libraryId

string
required
The library identifier.

Query parameters for "Get library."

includeFields

array
example: hasCollection
The optional fields to include in the response.

HTTP response status codes for "Get library.":

Code samples for "Get library.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}"

Response example

{ "id": "02cc56be-968b-4a38-b06f-16dfb2953d95", "name": "Test Library", "hasCollection": true, "supportedBy": [ "string" ]}

List libraries.


List libraries.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Query parameters for "List libraries."

offset

integer
example: 10
The amount of entities to skip.

limit

integer
example: 25
The page size.

HTTP response status codes for "List libraries.":

Code samples for "List libraries.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries"

Response example

{ "results": [ { "id": "02cc56be-968b-4a38-b06f-16dfb2953d95", "name": "Test Library", "hasCollection": true, "supportedBy": [ "string" ] } ], "total": 0}

Search assets by criteria.


Searches multiple assets filtering by the specified criteria.
Note: if no labels filter is specified only versions with latest or pending labels will be returned.
Note 2: Asset manager search endpoints work on the basis of the Eventual Consistency model. This means that at times, an update may take a short time to be reflected in search results.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "Search assets by criteria."

libraryId

string
required
example: e5a3ca16-13c7-4f2d-a5bb-984e349911df
The library id.

Request body for "Search assets by criteria."

Media Type:
application/json
One of

filter

object
The asset read filter.

includeQuery

object
example: {"created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"assetId":"included-asset-id","assetVersion":{"type":"exact-match","value":"a83f650b-3e86-4457-8ce4-8decef827da0","caseInsensitive":false},"name":{"type":"wildcard","value":"*auto*"},"description":{"type":"regex","value":".*auto.*"},"tags":["tag1","tag2","tag3"],"systemTags":["tag1","tag2","tag3"],"labels":["label1","label2"],"status":"Draft","primaryType":"included-asset-type","metadata.fieldName":{"type":"prefix","value":"fieldVal"},"systemMetadata.fieldName":"fieldValue","files.FileSize":{"type":"numeric-range","conditions":[{"conditionType":"greaterThanOrEqual","value":16384},{"conditionType":"lessThan","value":1048576.2}]},"portalMetadata":"","previewFile":"folder/thumbnail.gif","createdBy":"5772465996530","updatedBy":"5772465996530","versionNumber":13,"parentVersionNumber":12,"changeLog":"- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;","parentAssetVersion":"1","datasets.name":{"type":"fuzzy","value":"nsme"},"datasets.description":"description of the dataset","datasets.isVisible":true,"datasets.workflowName":"thumbnail-generation","datasets.tags":["tag1","tag2","tag3"],"datasets.portalMetadata":"portalMetadata","datasets.metadata.fieldName":"fieldValue","datasets.systemMetadata.fieldName":"fieldValue","datasets.primaryType":"primaryTypeValue","datasets.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"datasets.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.filePath":"file-example.txt","files.description":"file-description","files.status":"Uploaded","files.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.tags":["tag1","tag2","tag3"],"files.portalMetadata":"portalMetadata","files.checksum":"checksum","files.fileSize":4096,"files.metadata.fieldName":"fieldValue","files.systemMetadata.fieldName":"fieldValue"}
The dictionary to include all the entries matching all the criteria.

excludeQuery

object
example: {"created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"assetId":"included-asset-id","assetVersion":{"type":"exact-match","value":"a83f650b-3e86-4457-8ce4-8decef827da0","caseInsensitive":false},"name":{"type":"wildcard","value":"*auto*"},"description":{"type":"regex","value":".*auto.*"},"tags":["tag1","tag2","tag3"],"systemTags":["tag1","tag2","tag3"],"labels":["label1","label2"],"status":"Draft","primaryType":"included-asset-type","metadata.fieldName":{"type":"prefix","value":"fieldVal"},"systemMetadata.fieldName":"fieldValue","files.FileSize":{"type":"numeric-range","conditions":[{"conditionType":"greaterThanOrEqual","value":-163.84},{"conditionType":"lessThan","value":1048576}]},"portalMetadata":"","previewFile":"folder/thumbnail.gif","createdBy":"5772465996530","updatedBy":"5772465996530","versionNumber":13,"parentVersionNumber":12,"changeLog":"- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;","parentAssetVersion":"1","datasets.name":{"type":"fuzzy","value":"nsme"},"datasets.isVisible":true,"datasets.workflowName":"thumbnail-generation","datasets.description":"description of the dataset","datasets.tags":["tag1","tag2","tag3"],"datasets.portalMetadata":"portalMetadata","datasets.metadata.fieldName":"fieldValue","datasets.systemMetadata.fieldName":"fieldValue","datasets.primaryType":"primaryTypeValue","datasets.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"datasets.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.filePath":"file-example.txt","files.description":"file-description","files.status":"Uploaded","files.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.tags":["tag1","tag2","tag3"],"files.portalMetadata":"portalMetadata","files.checksum":"checksum","files.fileSize":4096,"files.metadata.fieldName":"fieldValue","files.systemMetadata.fieldName":"fieldValue"}
The dictionary to exclude all the entries matching all the criteria.

anyQuery

object
example: {"created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"assetId":"included-asset-id","assetVersion":{"type":"exact-match","value":"a83f650b-3e86-4457-8ce4-8decef827da0","caseInsensitive":false},"name":{"type":"wildcard","value":"*auto*"},"description":{"type":"regex","value":".*auto.*"},"tags":["tag1","tag2","tag3"],"systemTags":["tag1","tag2","tag3"],"labels":["label1","label2"],"status":"Draft","primaryType":"included-asset-type","metadata.fieldName":{"type":"prefix","value":"fieldVal"},"systemMetadata.fieldName":"fieldValue","files.FileSize":{"type":"numeric-range","conditions":[{"conditionType":"greaterThanOrEqual","value":16384},{"conditionType":"lessThan","value":1048576}]},"portalMetadata":"","previewFile":"folder/thumbnail.gif","createdBy":"5772465996530","versionNumber":13,"parentVersionNumber":12,"changeLog":"- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;","parentAssetVersion":"1","datasets.isVisible":true,"datasets.workflowName":"thumbnail-generation","datasets.name":{"type":"fuzzy","value":"nsme"},"datasets.description":"description of the dataset","datasets.tags":["tag1","tag2","tag3"],"datasets.portalMetadata":"portalMetadata","datasets.metadata.fieldName":"fieldValue","datasets.systemMetadata.fieldName":"fieldValue","datasets.primaryType":"primaryTypeValue","datasets.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"datasets.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.filePath":"file-example.txt","files.description":"file-description","files.status":"Uploaded","files.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.tags":["tag1","tag2","tag3"],"files.portalMetadata":"portalMetadata","files.checksum":"checksum","files.fileSize":4096,"files.metadata.fieldName":"fieldValue","files.systemMetadata.fieldName":"fieldValue"}
The dictionary to Include all entries matching any of the criteria.

anyQueryMinimumMatch

integer
The minimum any query match amount to be considered a match for return.

collections

array[string]
The collection paths.

includeFields

array[string]
example: ["*","name","description","tags","primaryType","portalMetadata","metadata","metadata.yourFieldName","VersionNumber","parentVersionNumber","systemMetadata.fieldName","previewFileUrl","changeLog","parentAssetVersion","datasets.*","datasets.name","datasets.description","datasets.tags","datasets.portalMetadata","datasets.metadata","datasets.systemMetadata","datasets.primaryType","files.*","files.filePath","files.description","files.tags","files.portalMetadata","files.metadata","files.systemMetadata","files.userChecksum","files.fileSize","files.downloadUrl","files.previewURL"]
The fields to be returned.

pagination

object
The pagination of the request.

token

string
The pagination token.

limit

integer
The amount of assets per page.

sortingField

string
required
The field to sort the assets from the page.

sortingOrder

string
The order to sort the assets (Ascending/Descending).

HTTP response status codes for "Search assets by criteria.":

Code samples for "Search assets by criteria.":

Request example

curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "filter": { "includeQuery": { "created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "assetId": "included-asset-id", "assetVersion": { "type": "exact-match", "value": "a83f650b-3e86-4457-8ce4-8decef827da0", "caseInsensitive": false }, "name": { "type": "wildcard", "value": "*auto*" }, "description": { "type": "regex", "value": ".*auto.*" }, "tags": [ "tag1", "tag2", "tag3" ], "systemTags": [ "tag1", "tag2", "tag3" ], "labels": [ "label1", "label2" ], "status": "Draft", "primaryType": "included-asset-type", "metadata.fieldName": { "type": "prefix", "value": "fieldVal" }, "systemMetadata.fieldName": "fieldValue", "files.FileSize": { "type": "numeric-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": 16384 }, { "conditionType": "lessThan", "value": 1048576.2 } ] }, "portalMetadata": "", "previewFile": "folder/thumbnail.gif", "createdBy": "5772465996530", "updatedBy": "5772465996530", "versionNumber": 13, "parentVersionNumber": 12, "changeLog": "- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;", "parentAssetVersion": "1", "datasets.name": { "type": "fuzzy", "value": "nsme" }, "datasets.description": "description of the dataset", "datasets.isVisible": true, "datasets.workflowName": "thumbnail-generation", "datasets.tags": [ "tag1", "tag2", "tag3" ], "datasets.portalMetadata": "portalMetadata", "datasets.metadata.fieldName": "fieldValue", "datasets.systemMetadata.fieldName": "fieldValue", "datasets.primaryType": "primaryTypeValue", "datasets.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "datasets.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.filePath": "file-example.txt", "files.description": "file-description", "files.status": "Uploaded", "files.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.tags": [ "tag1", "tag2", "tag3" ], "files.portalMetadata": "portalMetadata", "files.checksum": "checksum", "files.fileSize": 4096, "files.metadata.fieldName": "fieldValue", "files.systemMetadata.fieldName": "fieldValue" }, "excludeQuery": { "created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "assetId": "included-asset-id", "assetVersion": { "type": "exact-match", "value": "a83f650b-3e86-4457-8ce4-8decef827da0", "caseInsensitive": false }, "name": { "type": "wildcard", "value": "*auto*" }, "description": { "type": "regex", "value": ".*auto.*" }, "tags": [ "tag1", "tag2", "tag3" ], "systemTags": [ "tag1", "tag2", "tag3" ], "labels": [ "label1", "label2" ], "status": "Draft", "primaryType": "included-asset-type", "metadata.fieldName": { "type": "prefix", "value": "fieldVal" }, "systemMetadata.fieldName": "fieldValue", "files.FileSize": { "type": "numeric-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": -163.84 }, { "conditionType": "lessThan", "value": 1048576 } ] }, "portalMetadata": "", "previewFile": "folder/thumbnail.gif", "createdBy": "5772465996530", "updatedBy": "5772465996530", "versionNumber": 13, "parentVersionNumber": 12, "changeLog": "- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;", "parentAssetVersion": "1", "datasets.name": { "type": "fuzzy", "value": "nsme" }, "datasets.isVisible": true, "datasets.workflowName": "thumbnail-generation", "datasets.description": "description of the dataset", "datasets.tags": [ "tag1", "tag2", "tag3" ], "datasets.portalMetadata": "portalMetadata", "datasets.metadata.fieldName": "fieldValue", "datasets.systemMetadata.fieldName": "fieldValue", "datasets.primaryType": "primaryTypeValue", "datasets.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "datasets.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.filePath": "file-example.txt", "files.description": "file-description", "files.status": "Uploaded", "files.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.tags": [ "tag1", "tag2", "tag3" ], "files.portalMetadata": "portalMetadata", "files.checksum": "checksum", "files.fileSize": 4096, "files.metadata.fieldName": "fieldValue", "files.systemMetadata.fieldName": "fieldValue" }, "anyQuery": { "created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "assetId": "included-asset-id", "assetVersion": { "type": "exact-match", "value": "a83f650b-3e86-4457-8ce4-8decef827da0", "caseInsensitive": false }, "name": { "type": "wildcard", "value": "*auto*" }, "description": { "type": "regex", "value": ".*auto.*" }, "tags": [ "tag1", "tag2", "tag3" ], "systemTags": [ "tag1", "tag2", "tag3" ], "labels": [ "label1", "label2" ], "status": "Draft", "primaryType": "included-asset-type", "metadata.fieldName": { "type": "prefix", "value": "fieldVal" }, "systemMetadata.fieldName": "fieldValue", "files.FileSize": { "type": "numeric-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": 16384 }, { "conditionType": "lessThan", "value": 1048576 } ] }, "portalMetadata": "", "previewFile": "folder/thumbnail.gif", "createdBy": "5772465996530", "versionNumber": 13, "parentVersionNumber": 12, "changeLog": "- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;", "parentAssetVersion": "1", "datasets.isVisible": true, "datasets.workflowName": "thumbnail-generation", "datasets.name": { "type": "fuzzy", "value": "nsme" }, "datasets.description": "description of the dataset", "datasets.tags": [ "tag1", "tag2", "tag3" ], "datasets.portalMetadata": "portalMetadata", "datasets.metadata.fieldName": "fieldValue", "datasets.systemMetadata.fieldName": "fieldValue", "datasets.primaryType": "primaryTypeValue", "datasets.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "datasets.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.filePath": "file-example.txt", "files.description": "file-description", "files.status": "Uploaded", "files.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.tags": [ "tag1", "tag2", "tag3" ], "files.portalMetadata": "portalMetadata", "files.checksum": "checksum", "files.fileSize": 4096, "files.metadata.fieldName": "fieldValue", "files.systemMetadata.fieldName": "fieldValue" }, "anyQueryMinimumMatch": 0, "collections": [ "string" ] }, "includeFields": [ "*", "name", "description", "tags", "primaryType", "portalMetadata", "metadata", "metadata.yourFieldName", "VersionNumber", "parentVersionNumber", "systemMetadata.fieldName", "previewFileUrl", "changeLog", "parentAssetVersion", "datasets.*", "datasets.name", "datasets.description", "datasets.tags", "datasets.portalMetadata", "datasets.metadata", "datasets.systemMetadata", "datasets.primaryType", "files.*", "files.filePath", "files.description", "files.tags", "files.portalMetadata", "files.metadata", "files.systemMetadata", "files.userChecksum", "files.fileSize", "files.downloadUrl", "files.previewURL" ], "pagination": { "token": "string", "limit": 0, "sortingField": "string", "sortingOrder": "string" }}' \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/assets/search"

Response example

{ "next": "string", "results": [ { "assetId": "b59940b38970", "assetVersion": "b095dce9-6034-44c4-a02a-d41d7afbfab5", "name": "Tree material", "description": "This is a material to be used in trees", "tags": [ "string" ], "systemTags": [ "string" ], "labels": [ "string" ], "archivedLabels": [ "string" ], "primaryType": "Material", "portalMetadata": "string", "versionNumber": 3, "parentVersionNumber": 2, "changeLog": "- Added tag 'Wood' to asset;\\r\\n- Added a metallic map to material;", "parentAssetVersion": "4", "metadata": { "MarketingPitch": "Your marketing pitch", "Price": 0.5, "Length": 200, "ScorePoints": 15, "IsReadyForPostProcess": true, "ValidatedByManager": false, "ConnectedToWebPortal": false, "LaunchDate": "2023-08-16T08:49:12.1674180", "LastCheckPlan": "2023-08-16T08:49:12.1674180", "DateScanned": "2023-06-05T010:35:05.1674180", "License": "https://assetfilelicense.com", "WebProductPage": "https://productpage.com", "RepoSource": "https://github.com/myprojectrepo", "Priority": "Low|Medium|High", "Certifications": "ISO 4905|ISO 3013", "TeamCharter": "Seoul|Shanghai|Jakarta", "IndustryType": [ "Architecture", "Industrial", "Energy and Oil" ], "Sprints": [ 1, 2, 3, 4, 5 ], "Owner": "5772465996530", "Reviewer": "5772465996530", "Project Lead": "5772465996530" }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "status": "Draft", "isFrozen": true, "created": "2024-01-01T00:00:00Z", "createdBy": "5772465996530", "updated": "2024-01-01T00:00:00Z", "updatedBy": "5772465996530", "sourceProjectId": "string", "projectIds": [ "87cf845f-8ca7-4b2f-9cc1-c3d731335810", "5fd931ab-0950-4e9c-9264-d888f490b5a5", "5e7b9c90-b07e-490c-bfb7-80897f6f7e7e" ], "previewFile": "folder/thumbnail.gif", "previewFileDatasetId": "string", "previewFileUrl": "https://teststorage.com/files/folder/thumbnail.gif", "isPreviewFileUrlOriginalImage": true, "files": [ { "datasetIds": [ null ], "filePath": "directory/file1.extension", "description": "Normal map 1 for tree object", "status": "Uploaded", "created": "2023-09-15T15:48:26.731Z", "createdBy": "5772465996530", "updated": "2023-09-15T15:48:26.731Z", "updatedBy": "5772465996530", "tags": [ "thumbnail", "small", "model" ], "systemTags": [ null ], "portalMetadata": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "userChecksum": "b0ab4c79218a8a510761e25458bb69b2", "fileSize": 4096, "downloadURL": "http://testdownloadurl.com/file123", "isDownloadURLOriginalImage": true, "previewURL": "https://example.com", "previewDatasetId": "string", "primaryType": "string", "transformationInputFiles": [ null ], "isPreviewURLOriginalImage": true, "mainFile": true } ], "datasets": [ { "datasetId": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "name": "Thumbnails", "description": "Dataset with thumbnails images of the asset.", "isVisible": true, "workflowName": "thumbnail-generation", "tags": [ "thumbnail", "image" ], "portalMetadata": "string", "primaryType": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": {}, "status": "string", "systemTags": [ null ], "createdBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "created": "2023-09-15T10:52:34.398Z", "updatedBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "updated": "2023-09-15T10:52:34.398Z", "filesOrder": [ null ], "vcsMappingId": "string" } ], "assetTemplateId": "string", "statusFlowId": "string", "statusFlowName": "string", "autoSubmit": true, "trashDetails": [ { "projectId": "string", "movedToTrashBy": "string", "movedToTrashAt": "2024-01-01T00:00:00Z" } ], "upstreamReferences": [ { "id": "string", "type": "string", "assetId": "string", "assetVersion": "string", "labelName": "string", "sourceDatasetId": "string", "targetDatasetId": "string", "dependencyType": "string", "relativePath": "string", "metadata": {} } ], "downstreamReferences": [ { "id": "string", "type": "string", "assetId": "string", "assetVersion": "string", "labelName": "string", "sourceDatasetId": "string", "targetDatasetId": "string", "dependencyType": "string", "relativePath": "string", "metadata": {} } ] } ]}

Search asset versions by criteria.


Searches multiple assets filtering by the specified criteria.
Note: Asset manager search endpoints work on the basis of the Eventual Consistency model. This means that at times, an update may take a short time to be reflected in search results.

Supported Query Objects

Exact Match Search for values that exactly match the field.

Date Range Search for values where the date field is in a given range.

Wildcard Search for values with wildcard placeholder characters ('?' for a single character, '*' for zero or more characters).

Regex Search for values matching a regular expression.

Prefix Search for values beginning with a given term.

Fuzzy Search for values similar to the given search term.
Numeric Range Search for values in a given numeric range.
AND Operator

OR Operator Search for results that match ONE or MORE of the given query conditions.
NOT Operator Search for results that do NOT match the given query condition.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "Search asset versions by criteria."

libraryId

string
required
example: e5a3ca16-13c7-4f2d-a5bb-984e349911df
The library id.

assetId

string
required
example: 65325f523a625f7e1acdb197
The id of the asset.

Request body for "Search asset versions by criteria."

Media Type:
application/json

filter

object
The asset read filter.

includeQuery

object
example: {"created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"assetId":"included-asset-id","assetVersion":{"type":"exact-match","value":"a83f650b-3e86-4457-8ce4-8decef827da0","caseInsensitive":false},"name":{"type":"wildcard","value":"*auto*"},"description":{"type":"regex","value":".*auto.*"},"tags":["tag1","tag2","tag3"],"systemTags":["tag1","tag2","tag3"],"labels":["label1","label2"],"status":"Draft","primaryType":"included-asset-type","metadata.fieldName":{"type":"prefix","value":"fieldVal"},"systemMetadata.fieldName":"fieldValue","files.FileSize":{"type":"numeric-range","conditions":[{"conditionType":"greaterThanOrEqual","value":16384},{"conditionType":"lessThan","value":1048576.2}]},"portalMetadata":"","previewFile":"folder/thumbnail.gif","createdBy":"5772465996530","updatedBy":"5772465996530","versionNumber":13,"parentVersionNumber":12,"changeLog":"- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;","parentAssetVersion":"1","datasets.name":{"type":"fuzzy","value":"nsme"},"datasets.description":"description of the dataset","datasets.isVisible":true,"datasets.workflowName":"thumbnail-generation","datasets.tags":["tag1","tag2","tag3"],"datasets.portalMetadata":"portalMetadata","datasets.metadata.fieldName":"fieldValue","datasets.systemMetadata.fieldName":"fieldValue","datasets.primaryType":"primaryTypeValue","datasets.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"datasets.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.filePath":"file-example.txt","files.description":"file-description","files.status":"Uploaded","files.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.tags":["tag1","tag2","tag3"],"files.portalMetadata":"portalMetadata","files.checksum":"checksum","files.fileSize":4096,"files.metadata.fieldName":"fieldValue","files.systemMetadata.fieldName":"fieldValue"}
The dictionary to include all the entries matching all the criteria.

excludeQuery

object
example: {"created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"assetId":"included-asset-id","assetVersion":{"type":"exact-match","value":"a83f650b-3e86-4457-8ce4-8decef827da0","caseInsensitive":false},"name":{"type":"wildcard","value":"*auto*"},"description":{"type":"regex","value":".*auto.*"},"tags":["tag1","tag2","tag3"],"systemTags":["tag1","tag2","tag3"],"labels":["label1","label2"],"status":"Draft","primaryType":"included-asset-type","metadata.fieldName":{"type":"prefix","value":"fieldVal"},"systemMetadata.fieldName":"fieldValue","files.FileSize":{"type":"numeric-range","conditions":[{"conditionType":"greaterThanOrEqual","value":-163.84},{"conditionType":"lessThan","value":1048576}]},"portalMetadata":"","previewFile":"folder/thumbnail.gif","createdBy":"5772465996530","updatedBy":"5772465996530","versionNumber":13,"parentVersionNumber":12,"changeLog":"- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;","parentAssetVersion":"1","datasets.name":{"type":"fuzzy","value":"nsme"},"datasets.isVisible":true,"datasets.workflowName":"thumbnail-generation","datasets.description":"description of the dataset","datasets.tags":["tag1","tag2","tag3"],"datasets.portalMetadata":"portalMetadata","datasets.metadata.fieldName":"fieldValue","datasets.systemMetadata.fieldName":"fieldValue","datasets.primaryType":"primaryTypeValue","datasets.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"datasets.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.filePath":"file-example.txt","files.description":"file-description","files.status":"Uploaded","files.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.tags":["tag1","tag2","tag3"],"files.portalMetadata":"portalMetadata","files.checksum":"checksum","files.fileSize":4096,"files.metadata.fieldName":"fieldValue","files.systemMetadata.fieldName":"fieldValue"}
The dictionary to exclude all the entries matching all the criteria.

anyQuery

object
example: {"created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"assetId":"included-asset-id","assetVersion":{"type":"exact-match","value":"a83f650b-3e86-4457-8ce4-8decef827da0","caseInsensitive":false},"name":{"type":"wildcard","value":"*auto*"},"description":{"type":"regex","value":".*auto.*"},"tags":["tag1","tag2","tag3"],"systemTags":["tag1","tag2","tag3"],"labels":["label1","label2"],"status":"Draft","primaryType":"included-asset-type","metadata.fieldName":{"type":"prefix","value":"fieldVal"},"systemMetadata.fieldName":"fieldValue","files.FileSize":{"type":"numeric-range","conditions":[{"conditionType":"greaterThanOrEqual","value":16384},{"conditionType":"lessThan","value":1048576}]},"portalMetadata":"","previewFile":"folder/thumbnail.gif","createdBy":"5772465996530","versionNumber":13,"parentVersionNumber":12,"changeLog":"- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;","parentAssetVersion":"1","datasets.isVisible":true,"datasets.workflowName":"thumbnail-generation","datasets.name":{"type":"fuzzy","value":"nsme"},"datasets.description":"description of the dataset","datasets.tags":["tag1","tag2","tag3"],"datasets.portalMetadata":"portalMetadata","datasets.metadata.fieldName":"fieldValue","datasets.systemMetadata.fieldName":"fieldValue","datasets.primaryType":"primaryTypeValue","datasets.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"datasets.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.filePath":"file-example.txt","files.description":"file-description","files.status":"Uploaded","files.created":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.updated":{"type":"date-range","conditions":[{"conditionType":"greaterThanOrEqual","value":"2023-08-16T09:16:39Z"},{"conditionType":"lessThan","value":"2023-08-27T09:00:00Z"}]},"files.tags":["tag1","tag2","tag3"],"files.portalMetadata":"portalMetadata","files.checksum":"checksum","files.fileSize":4096,"files.metadata.fieldName":"fieldValue","files.systemMetadata.fieldName":"fieldValue"}
The dictionary to Include all entries matching any of the criteria.

anyQueryMinimumMatch

integer
The minimum any query match amount to be considered a match for return.

collections

array[string]
The collection paths.

includeFields

array[string]
example: ["*","name","description","tags","primaryType","portalMetadata","metadata","metadata.yourFieldName","VersionNumber","parentVersionNumber","systemMetadata.fieldName","previewFileUrl","changeLog","parentAssetVersion","datasets.*","datasets.name","datasets.description","datasets.tags","datasets.portalMetadata","datasets.metadata","datasets.systemMetadata","datasets.primaryType","files.*","files.filePath","files.description","files.tags","files.portalMetadata","files.metadata","files.systemMetadata","files.userChecksum","files.fileSize","files.downloadUrl","files.previewURL"]
The fields to be returned.

pagination

object
The pagination of the request.

token

string
The pagination token.

limit

integer
The amount of assets per page.

sortingField

string
required
The field to sort the assets from the page.

sortingOrder

string
The order to sort the assets (Ascending/Descending).

HTTP response status codes for "Search asset versions by criteria.":

Code samples for "Search asset versions by criteria.":

Request example

curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "filter": { "includeQuery": { "created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "assetId": "included-asset-id", "assetVersion": { "type": "exact-match", "value": "a83f650b-3e86-4457-8ce4-8decef827da0", "caseInsensitive": false }, "name": { "type": "wildcard", "value": "*auto*" }, "description": { "type": "regex", "value": ".*auto.*" }, "tags": [ "tag1", "tag2", "tag3" ], "systemTags": [ "tag1", "tag2", "tag3" ], "labels": [ "label1", "label2" ], "status": "Draft", "primaryType": "included-asset-type", "metadata.fieldName": { "type": "prefix", "value": "fieldVal" }, "systemMetadata.fieldName": "fieldValue", "files.FileSize": { "type": "numeric-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": 16384 }, { "conditionType": "lessThan", "value": 1048576.2 } ] }, "portalMetadata": "", "previewFile": "folder/thumbnail.gif", "createdBy": "5772465996530", "updatedBy": "5772465996530", "versionNumber": 13, "parentVersionNumber": 12, "changeLog": "- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;", "parentAssetVersion": "1", "datasets.name": { "type": "fuzzy", "value": "nsme" }, "datasets.description": "description of the dataset", "datasets.isVisible": true, "datasets.workflowName": "thumbnail-generation", "datasets.tags": [ "tag1", "tag2", "tag3" ], "datasets.portalMetadata": "portalMetadata", "datasets.metadata.fieldName": "fieldValue", "datasets.systemMetadata.fieldName": "fieldValue", "datasets.primaryType": "primaryTypeValue", "datasets.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "datasets.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.filePath": "file-example.txt", "files.description": "file-description", "files.status": "Uploaded", "files.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.tags": [ "tag1", "tag2", "tag3" ], "files.portalMetadata": "portalMetadata", "files.checksum": "checksum", "files.fileSize": 4096, "files.metadata.fieldName": "fieldValue", "files.systemMetadata.fieldName": "fieldValue" }, "excludeQuery": { "created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "assetId": "included-asset-id", "assetVersion": { "type": "exact-match", "value": "a83f650b-3e86-4457-8ce4-8decef827da0", "caseInsensitive": false }, "name": { "type": "wildcard", "value": "*auto*" }, "description": { "type": "regex", "value": ".*auto.*" }, "tags": [ "tag1", "tag2", "tag3" ], "systemTags": [ "tag1", "tag2", "tag3" ], "labels": [ "label1", "label2" ], "status": "Draft", "primaryType": "included-asset-type", "metadata.fieldName": { "type": "prefix", "value": "fieldVal" }, "systemMetadata.fieldName": "fieldValue", "files.FileSize": { "type": "numeric-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": -163.84 }, { "conditionType": "lessThan", "value": 1048576 } ] }, "portalMetadata": "", "previewFile": "folder/thumbnail.gif", "createdBy": "5772465996530", "updatedBy": "5772465996530", "versionNumber": 13, "parentVersionNumber": 12, "changeLog": "- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;", "parentAssetVersion": "1", "datasets.name": { "type": "fuzzy", "value": "nsme" }, "datasets.isVisible": true, "datasets.workflowName": "thumbnail-generation", "datasets.description": "description of the dataset", "datasets.tags": [ "tag1", "tag2", "tag3" ], "datasets.portalMetadata": "portalMetadata", "datasets.metadata.fieldName": "fieldValue", "datasets.systemMetadata.fieldName": "fieldValue", "datasets.primaryType": "primaryTypeValue", "datasets.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "datasets.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.filePath": "file-example.txt", "files.description": "file-description", "files.status": "Uploaded", "files.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.tags": [ "tag1", "tag2", "tag3" ], "files.portalMetadata": "portalMetadata", "files.checksum": "checksum", "files.fileSize": 4096, "files.metadata.fieldName": "fieldValue", "files.systemMetadata.fieldName": "fieldValue" }, "anyQuery": { "created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "assetId": "included-asset-id", "assetVersion": { "type": "exact-match", "value": "a83f650b-3e86-4457-8ce4-8decef827da0", "caseInsensitive": false }, "name": { "type": "wildcard", "value": "*auto*" }, "description": { "type": "regex", "value": ".*auto.*" }, "tags": [ "tag1", "tag2", "tag3" ], "systemTags": [ "tag1", "tag2", "tag3" ], "labels": [ "label1", "label2" ], "status": "Draft", "primaryType": "included-asset-type", "metadata.fieldName": { "type": "prefix", "value": "fieldVal" }, "systemMetadata.fieldName": "fieldValue", "files.FileSize": { "type": "numeric-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": 16384 }, { "conditionType": "lessThan", "value": 1048576 } ] }, "portalMetadata": "", "previewFile": "folder/thumbnail.gif", "createdBy": "5772465996530", "versionNumber": 13, "parentVersionNumber": 12, "changeLog": "- Added tag 'Wood' to asset;\r\n- Added a metallic map to material;", "parentAssetVersion": "1", "datasets.isVisible": true, "datasets.workflowName": "thumbnail-generation", "datasets.name": { "type": "fuzzy", "value": "nsme" }, "datasets.description": "description of the dataset", "datasets.tags": [ "tag1", "tag2", "tag3" ], "datasets.portalMetadata": "portalMetadata", "datasets.metadata.fieldName": "fieldValue", "datasets.systemMetadata.fieldName": "fieldValue", "datasets.primaryType": "primaryTypeValue", "datasets.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "datasets.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.filePath": "file-example.txt", "files.description": "file-description", "files.status": "Uploaded", "files.created": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.updated": { "type": "date-range", "conditions": [ { "conditionType": "greaterThanOrEqual", "value": "2023-08-16T09:16:39Z" }, { "conditionType": "lessThan", "value": "2023-08-27T09:00:00Z" } ] }, "files.tags": [ "tag1", "tag2", "tag3" ], "files.portalMetadata": "portalMetadata", "files.checksum": "checksum", "files.fileSize": 4096, "files.metadata.fieldName": "fieldValue", "files.systemMetadata.fieldName": "fieldValue" }, "anyQueryMinimumMatch": 0, "collections": [ "string" ] }, "includeFields": [ "*", "name", "description", "tags", "primaryType", "portalMetadata", "metadata", "metadata.yourFieldName", "VersionNumber", "parentVersionNumber", "systemMetadata.fieldName", "previewFileUrl", "changeLog", "parentAssetVersion", "datasets.*", "datasets.name", "datasets.description", "datasets.tags", "datasets.portalMetadata", "datasets.metadata", "datasets.systemMetadata", "datasets.primaryType", "files.*", "files.filePath", "files.description", "files.tags", "files.portalMetadata", "files.metadata", "files.systemMetadata", "files.userChecksum", "files.fileSize", "files.downloadUrl", "files.previewURL" ], "pagination": { "token": "string", "limit": 0, "sortingField": "string", "sortingOrder": "string" }}' \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/assets/{assetId}/versions/search"

Response example

{ "next": "string", "results": [ { "assetId": "b59940b38970", "assetVersion": "b095dce9-6034-44c4-a02a-d41d7afbfab5", "name": "Tree material", "description": "This is a material to be used in trees", "tags": [ "string" ], "systemTags": [ "string" ], "labels": [ "string" ], "archivedLabels": [ "string" ], "primaryType": "Material", "portalMetadata": "string", "versionNumber": 3, "parentVersionNumber": 2, "changeLog": "- Added tag 'Wood' to asset;\\r\\n- Added a metallic map to material;", "parentAssetVersion": "4", "metadata": { "MarketingPitch": "Your marketing pitch", "Price": 0.5, "Length": 200, "ScorePoints": 15, "IsReadyForPostProcess": true, "ValidatedByManager": false, "ConnectedToWebPortal": false, "LaunchDate": "2023-08-16T08:49:12.1674180", "LastCheckPlan": "2023-08-16T08:49:12.1674180", "DateScanned": "2023-06-05T010:35:05.1674180", "License": "https://assetfilelicense.com", "WebProductPage": "https://productpage.com", "RepoSource": "https://github.com/myprojectrepo", "Priority": "Low|Medium|High", "Certifications": "ISO 4905|ISO 3013", "TeamCharter": "Seoul|Shanghai|Jakarta", "IndustryType": [ "Architecture", "Industrial", "Energy and Oil" ], "Sprints": [ 1, 2, 3, 4, 5 ], "Owner": "5772465996530", "Reviewer": "5772465996530", "Project Lead": "5772465996530" }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "status": "Draft", "isFrozen": true, "created": "2024-01-01T00:00:00Z", "createdBy": "5772465996530", "updated": "2024-01-01T00:00:00Z", "updatedBy": "5772465996530", "sourceProjectId": "string", "projectIds": [ "87cf845f-8ca7-4b2f-9cc1-c3d731335810", "5fd931ab-0950-4e9c-9264-d888f490b5a5", "5e7b9c90-b07e-490c-bfb7-80897f6f7e7e" ], "previewFile": "folder/thumbnail.gif", "previewFileDatasetId": "string", "previewFileUrl": "https://teststorage.com/files/folder/thumbnail.gif", "isPreviewFileUrlOriginalImage": true, "files": [ { "datasetIds": [ null ], "filePath": "directory/file1.extension", "description": "Normal map 1 for tree object", "status": "Uploaded", "created": "2023-09-15T15:48:26.731Z", "createdBy": "5772465996530", "updated": "2023-09-15T15:48:26.731Z", "updatedBy": "5772465996530", "tags": [ "thumbnail", "small", "model" ], "systemTags": [ null ], "portalMetadata": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "userChecksum": "b0ab4c79218a8a510761e25458bb69b2", "fileSize": 4096, "downloadURL": "http://testdownloadurl.com/file123", "isDownloadURLOriginalImage": true, "previewURL": "https://example.com", "previewDatasetId": "string", "primaryType": "string", "transformationInputFiles": [ null ], "isPreviewURLOriginalImage": true, "mainFile": true } ], "datasets": [ { "datasetId": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "name": "Thumbnails", "description": "Dataset with thumbnails images of the asset.", "isVisible": true, "workflowName": "thumbnail-generation", "tags": [ "thumbnail", "image" ], "portalMetadata": "string", "primaryType": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": {}, "status": "string", "systemTags": [ null ], "createdBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "created": "2023-09-15T10:52:34.398Z", "updatedBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "updated": "2023-09-15T10:52:34.398Z", "filesOrder": [ null ], "vcsMappingId": "string" } ], "assetTemplateId": "string", "statusFlowId": "string", "statusFlowName": "string", "autoSubmit": true, "trashDetails": [ { "projectId": "string", "movedToTrashBy": "string", "movedToTrashAt": "2024-01-01T00:00:00Z" } ], "upstreamReferences": [ { "id": "string", "type": "string", "assetId": "string", "assetVersion": "string", "labelName": "string", "sourceDatasetId": "string", "targetDatasetId": "string", "dependencyType": "string", "relativePath": "string", "metadata": {} } ], "downstreamReferences": [ { "id": "string", "type": "string", "assetId": "string", "assetVersion": "string", "labelName": "string", "sourceDatasetId": "string", "targetDatasetId": "string", "dependencyType": "string", "relativePath": "string", "metadata": {} } ] } ]}

Read asset files.


Read asset files from a dataset in an asset.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "Read asset files."

libraryId

string
required
The library id.

assetId

string
required
The asset id.

assetVersion

string
required
The asset version.

datasetId

string
required
The dataset id.

Query parameters for "Read asset files."

includeFields

array
example: *,filePath,description,tags,portalMetadata,metadata,systemMetadata,userChecksum,fileSize,downloadURL
The optional fields to include in the response.

token

string
The pagination token.

limit

integer
The amount of assets per page.

HTTP response status codes for "Read asset files.":

Code samples for "Read asset files.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/assets/{assetId}/versions/{assetVersion}/datasets/{datasetId}/files"

Response example

{ "results": [ { "datasetIds": [ "string" ], "filePath": "directory/file1.extension", "description": "Normal map 1 for tree object", "status": "Uploaded", "created": "2023-09-15T15:48:26.731Z", "createdBy": "5772465996530", "updated": "2023-09-15T15:48:26.731Z", "updatedBy": "5772465996530", "tags": [ "thumbnail", "small", "model" ], "systemTags": [ "string" ], "portalMetadata": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "userChecksum": "b0ab4c79218a8a510761e25458bb69b2", "fileSize": 4096, "downloadURL": "http://testdownloadurl.com/file123", "isDownloadURLOriginalImage": true, "previewURL": "https://example.com", "previewDatasetId": "string", "primaryType": "string", "transformationInputFiles": [ "string" ], "isPreviewURLOriginalImage": true, "mainFile": true } ], "total": 0, "next": "string", "previous": "string"}

Get asset version.


Return a single asset from a library with on-demand fields.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "Get asset version."

libraryId

string
required
example: e5a3ca16-13c7-4f2d-a5bb-984e349911df
The id of the library where the asset lives.

assetId

string
required
example: 65325f523a625f7e1acdb197
The asset id.

assetVersion

string
required
example: b095dce9-6034-44c4-a02a-d41d7afbfab5
The asset version.

Query parameters for "Get asset version."

includeFields

array
example: *,name,description,tags,primaryType,portalMetadata,metadata,metadata.yourFieldName,systemMetadata.fieldName,datasets.*,datasets.name,datasets.isVisible,datasets.workflowName,datasets.description,datasets.tags,datasets.portalMetadata,datasets.metadata,datasets.systemMetadata,datasets.primaryType,files.*,files.filePath,files.description,files.tags,files.portalMetadata,files.metadata,files.systemMetadata,files.userChecksum,files.fileSize,files.downloadURL,files.previewURL
The optional fields to include in the response.

HTTP response status codes for "Get asset version.":

Code samples for "Get asset version.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/assets/{assetId}/versions/{assetVersion}"

Response example

{ "assetId": "b59940b38970", "assetVersion": "b095dce9-6034-44c4-a02a-d41d7afbfab5", "name": "Tree material", "description": "This is a material to be used in trees", "tags": [ "string" ], "systemTags": [ "string" ], "labels": [ "string" ], "archivedLabels": [ "string" ], "primaryType": "Material", "portalMetadata": "string", "versionNumber": 3, "parentVersionNumber": 2, "changeLog": "- Added tag 'Wood' to asset;\\r\\n- Added a metallic map to material;", "parentAssetVersion": "4", "metadata": { "MarketingPitch": "Your marketing pitch", "Price": 0.5, "Length": 200, "ScorePoints": 15, "IsReadyForPostProcess": true, "ValidatedByManager": false, "ConnectedToWebPortal": false, "LaunchDate": "2023-08-16T08:49:12.1674180", "LastCheckPlan": "2023-08-16T08:49:12.1674180", "DateScanned": "2023-06-05T010:35:05.1674180", "License": "https://assetfilelicense.com", "WebProductPage": "https://productpage.com", "RepoSource": "https://github.com/myprojectrepo", "Priority": "Low|Medium|High", "Certifications": "ISO 4905|ISO 3013", "TeamCharter": "Seoul|Shanghai|Jakarta", "IndustryType": [ "Architecture", "Industrial", "Energy and Oil" ], "Sprints": [ 1, 2, 3, 4, 5 ], "Owner": "5772465996530", "Reviewer": "5772465996530", "Project Lead": "5772465996530" }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "status": "Draft", "isFrozen": true, "created": "2024-01-01T00:00:00Z", "createdBy": "5772465996530", "updated": "2024-01-01T00:00:00Z", "updatedBy": "5772465996530", "sourceProjectId": "string", "projectIds": [ "87cf845f-8ca7-4b2f-9cc1-c3d731335810", "5fd931ab-0950-4e9c-9264-d888f490b5a5", "5e7b9c90-b07e-490c-bfb7-80897f6f7e7e" ], "previewFile": "folder/thumbnail.gif", "previewFileDatasetId": "string", "previewFileUrl": "https://teststorage.com/files/folder/thumbnail.gif", "isPreviewFileUrlOriginalImage": true, "files": [ { "datasetIds": [ "string" ], "filePath": "directory/file1.extension", "description": "Normal map 1 for tree object", "status": "Uploaded", "created": "2023-09-15T15:48:26.731Z", "createdBy": "5772465996530", "updated": "2023-09-15T15:48:26.731Z", "updatedBy": "5772465996530", "tags": [ "thumbnail", "small", "model" ], "systemTags": [ "string" ], "portalMetadata": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "userChecksum": "b0ab4c79218a8a510761e25458bb69b2", "fileSize": 4096, "downloadURL": "http://testdownloadurl.com/file123", "isDownloadURLOriginalImage": true, "previewURL": "https://example.com", "previewDatasetId": "string", "primaryType": "string", "transformationInputFiles": [ "string" ], "isPreviewURLOriginalImage": true, "mainFile": true } ], "datasets": [ { "datasetId": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "name": "Thumbnails", "description": "Dataset with thumbnails images of the asset.", "isVisible": true, "workflowName": "thumbnail-generation", "tags": [ "thumbnail", "image" ], "portalMetadata": "string", "primaryType": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": {}, "status": "string", "systemTags": [ "string" ], "createdBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "created": "2023-09-15T10:52:34.398Z", "updatedBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "updated": "2023-09-15T10:52:34.398Z", "filesOrder": [ "string" ], "vcsMappingId": "string" } ], "assetTemplateId": "string", "statusFlowId": "string", "statusFlowName": "string", "autoSubmit": true, "trashDetails": [ { "projectId": "string", "movedToTrashBy": "string", "movedToTrashAt": "2024-01-01T00:00:00Z" } ], "upstreamReferences": [ { "id": "string", "type": "string", "assetId": "string", "assetVersion": "string", "labelName": "string", "sourceDatasetId": "string", "targetDatasetId": "string", "dependencyType": "string", "relativePath": "string", "metadata": {} } ], "downstreamReferences": [ { "id": "string", "type": "string", "assetId": "string", "assetVersion": "string", "labelName": "string", "sourceDatasetId": "string", "targetDatasetId": "string", "dependencyType": "string", "relativePath": "string", "metadata": {} } ]}

Get download file URL.


Return a download URL for a given file.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "Get download file URL."

libraryId

string
required
example: e5a3ca16-13c7-4f2d-a5bb-984e349911df
The id of the library where the asset lives.

assetId

string
required
example: 65325f523a625f7e1acdb197
The ID of the asset.

assetVersion

string
required
example: b095dce9-6034-44c4-a02a-d41d7afbfab5
The version of the asset. For the time being, generated by the system.

datasetId

string
required
example: d21b2715-0c09-4c0d-ba8f-647291eacfd4
The ID of the dataset.

filePath

string
required
example: my-folder%2Fmy-file.txt
The encoded path of the file. Serves as the unique identifier.

Query parameters for "Get download file URL."

width

integer
example: 512
[Deprecated] This parameter is deprecated. Please use maxDimension instead./>

maxDimension

integer
example: 512
The desired length to resize the larger image dimension to, while maintaining the same aspect ratio. Should be between 50 and 3850. For DownloadURL.

HTTP response status codes for "Get download file URL.":

Code samples for "Get download file URL.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/assets/{assetId}/versions/{assetVersion}/datasets/{datasetId}/files/{filePath}/download-url"

Response example

{ "url": "https://example.com", "isOriginalImage": true}

Get asset download URLs.


Get all the files download URLs of one or several datasets of the same asset. Note that every asset has by default 2 datasets: The source and the preview. Download URLs are valid for ten minutes only.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "Get asset download URLs."

libraryId

string
required
example: e5a3ca16-13c7-4f2d-a5bb-984e349911df
The id of the library.

assetId

string
required
example: 65325f523a625f7e1acdb197
The id of the asset.

assetVersion

string
required
example: b095dce9-6034-44c4-a02a-d41d7afbfab5
The version of the asset.

Query parameters for "Get asset download URLs."

limit

integer
required
example: 10
The limit of returning records for pagination.

offset

integer
default: 0
example: 1
The pagination offset.

datasets

array
The list of datasets from which to download files.

maxDimension

integer
example: 512
The desired length to resize the larger image dimension to, while maintaining the same aspect ratio. Should be between 50 and 3850. For DownloadURL.

HTTP response status codes for "Get asset download URLs.":

Code samples for "Get asset download URLs.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/assets/{assetId}/versions/{assetVersion}/download-urls"

Response example

{ "results": [ { "datasetId": "string", "filePath": "string", "url": "string", "isOriginalImage": true } ], "total": 0}

List library collections.


Return all collections within a library.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "List library collections."

libraryId

string
required
The library id.

Query parameters for "List library collections."

offset

integer
example: 1
The pagination offset.

limit

integer
example: 20
The limit of returning records for pagination.

HTTP response status codes for "List library collections.":

Code samples for "List library collections.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/collections"

Response example

{ "results": [ { "name": "string", "description": "string", "parentPath": "string" } ], "total": 0}

Get the number of assets in a collection.


Return the number of assets in the collection.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "Get the number of assets in a collection."

libraryId

string
required
example: e5a3ca16-13c7-4f2d-a5bb-984e349911df
The id of the library where the asset lives.

collectionPath

string
required
example: MainCollection%2FParentCollection
The encoded path of the collection. Must be URL escaped.

Query parameters for "Get the number of assets in a collection."

includeSubCollections

boolean
Flag to include child collections' assets in the count.

HTTP response status codes for "Get the number of assets in a collection.":

Code samples for "Get the number of assets in a collection.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/collections/{collectionPath}/assets/count"

Response example

{ "count": 0}

Count assets in library.


Get the number of assets in a library.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "Count assets in library."

libraryId

string
required
The library identifier.

HTTP response status codes for "Count assets in library.":

Code samples for "Count assets in library.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/assets/count"

Response example

{ "count": 0}

List field definitions.


Return metadata field definition from the organization library.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "List field definitions."

libraryId

string
required
The library identifier.

Query parameters for "List field definitions."

name

array
required
The field definition names.

limit

integer
default: 999
The amount of field definitions per page.

includeDeleted

boolean
default: false
example: false
A value indicating whether the result should include deleted fields.

token

string
The pagination token for the next page.

sortingOrder

string
example: Ascending
The order to sort the fields.

fieldOrigin

string
If defined, only search for fields with the specified FieldOrigin value (either 'User' or 'System')

HTTP response status codes for "List field definitions.":

Code samples for "List field definitions.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/templates/fields"

Response example

{ "results": [ { "name": "GeometryArea", "displayName": "Geometry Area", "type": "Boolean", "acceptedValues": [ "Area", "Volume" ], "multiSelection": true, "status": "Active|Deleted", "createdBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "created": "2023-09-15T10:52:34.398Z", "updatedBy": "2ba1c430-086d-4b0b-a4cc-3120a2fab86a", "updated": "2023-09-15T10:52:34.398Z", "fieldOrigin": "User" } ], "next": "string"}

List asset versions labels.


List all labels assigned across all versions of an asset.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "List asset versions labels."

libraryId

string
required
example: e5a3ca16-13c7-4f2d-a5bb-984e349911df
The id of the library where the asset is located.

assetId

string
required
example: 65325f523a625f7e1acdb197
The id of the asset.

Query parameters for "List asset versions labels."

offset

integer
example: 10
The amount of entities to skip.

limit

integer
example: 25
The page size.

HTTP response status codes for "List asset versions labels.":

Code samples for "List asset versions labels.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/assets/{assetId}/labels"

Response example

{ "assetVersionLabels": [ { "assetVersion": "d3a30060-7213-4f15-a183-2e87267d0c12", "labels": [ { "name": "string", "description": "string", "colour": "string", "isSystemLabel": true, "isUserAssignable": true, "created": "2024-01-01T00:00:00Z", "createdBy": "string", "updated": "2024-01-01T00:00:00Z", "updatedBy": "string" } ], "archivedLabels": [ { "name": "string", "description": "string", "colour": "string", "isSystemLabel": true, "isUserAssignable": true, "created": "2024-01-01T00:00:00Z", "createdBy": "string", "updated": "2024-01-01T00:00:00Z", "updatedBy": "string" } ] } ], "total": 0}

Read labels.


Get all the labels in the organization.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "Read labels."

libraryId

string
required
example: e5a3ca16-13c7-4f2d-a5bb-984e349911df
The id of the library where the asset is located.

Query parameters for "Read labels."

status

string
example: Active
The status of the labels to be returned.

isSystemLabel

boolean
example: true
The type of the labels to be returned.

offset

integer
example: 10
The amount of entities to skip.

limit

integer
example: 25
The page size.

HTTP response status codes for "Read labels.":

Code samples for "Read labels.":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/labels"

Response example

{ "results": [ { "name": "string", "description": "string", "colour": "string", "isSystemLabel": true, "isUserAssignable": true, "created": "2024-01-01T00:00:00Z", "createdBy": "string", "updated": "2024-01-01T00:00:00Z", "updatedBy": "string" } ], "total": 0}

Read multiple assets in bulk with their files and datasets.


Read multiple assets in bulk with their files and datasets.
Authorizations
Client
HTTP: Client
HTTP Authorization Scheme: bearer
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "Read multiple assets in bulk with their files and datasets."

libraryId

string
required
The library id.

Request body for "Read multiple assets in bulk with their files and datasets."

Media Type:
application/json

assets

array[object]
The assets to retrieve.

assetId

string
required
The asset id.

assetVersion

string
The asset version.

includeFields

array[string]
example: ["*","name","description","tags","primaryType","portalMetadata","metadata","metadata.yourFieldName","systemMetadata.fieldName","datasets.*","datasets.name","datasets.isVisible","datasets.workflowName","datasets.description","datasets.tags","datasets.portalMetadata","datasets.metadata","datasets.systemMetadata","datasets.primaryType","files.*","files.filePath","files.description","files.tags","files.portalMetadata","files.metadata","files.systemMetadata","files.userChecksum","files.fileSize","files.downloadURL","files.previewURL"]
The optional fields to include in the response.

HTTP response status codes for "Read multiple assets in bulk with their files and datasets.":

Code samples for "Read multiple assets in bulk with their files and datasets.":

Request example

curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "assets": [ { "assetId": "string", "assetVersion": "string" } ], "includeFields": [ "*", "name", "description", "tags", "primaryType", "portalMetadata", "metadata", "metadata.yourFieldName", "systemMetadata.fieldName", "datasets.*", "datasets.name", "datasets.isVisible", "datasets.workflowName", "datasets.description", "datasets.tags", "datasets.portalMetadata", "datasets.metadata", "datasets.systemMetadata", "datasets.primaryType", "files.*", "files.filePath", "files.description", "files.tags", "files.portalMetadata", "files.metadata", "files.systemMetadata", "files.userChecksum", "files.fileSize", "files.downloadURL", "files.previewURL" ]}' \ "https://services.api.unity.com/assets/v2alpha1/libraries/{libraryId}/assets/batch/get"

Response example

{ "assets": [ { "asset": { "assetId": "b59940b38970", "assetVersion": "b095dce9-6034-44c4-a02a-d41d7afbfab5", "name": "Tree material", "description": "This is a material to be used in trees", "tags": [ "string" ], "systemTags": [ "string" ], "labels": [ "string" ], "archivedLabels": [ "string" ], "primaryType": "Material", "portalMetadata": "string", "versionNumber": 3, "parentVersionNumber": 2, "changeLog": "- Added tag 'Wood' to asset;\\r\\n- Added a metallic map to material;", "parentAssetVersion": "4", "metadata": { "MarketingPitch": "Your marketing pitch", "Price": 0.5, "Length": 200, "ScorePoints": 15, "IsReadyForPostProcess": true, "ValidatedByManager": false, "ConnectedToWebPortal": false, "LaunchDate": "2023-08-16T08:49:12.1674180", "LastCheckPlan": "2023-08-16T08:49:12.1674180", "DateScanned": "2023-06-05T010:35:05.1674180", "License": "https://assetfilelicense.com", "WebProductPage": "https://productpage.com", "RepoSource": "https://github.com/myprojectrepo", "Priority": "Low|Medium|High", "Certifications": "ISO 4905|ISO 3013", "TeamCharter": "Seoul|Shanghai|Jakarta", "IndustryType": [ "Architecture", "Industrial", "Energy and Oil" ], "Sprints": [ 1, 2, 3, 4, 5 ], "Owner": "5772465996530", "Reviewer": "5772465996530", "Project Lead": "5772465996530" }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "status": "Draft", "isFrozen": true, "created": "2024-01-01T00:00:00Z", "createdBy": "5772465996530", "updated": "2024-01-01T00:00:00Z", "updatedBy": "5772465996530", "sourceProjectId": "string", "projectIds": [ "87cf845f-8ca7-4b2f-9cc1-c3d731335810", "5fd931ab-0950-4e9c-9264-d888f490b5a5", "5e7b9c90-b07e-490c-bfb7-80897f6f7e7e" ], "previewFile": "folder/thumbnail.gif", "previewFileDatasetId": "string", "previewFileUrl": "https://teststorage.com/files/folder/thumbnail.gif", "isPreviewFileUrlOriginalImage": true, "files": [ { "datasetIds": null, "filePath": null, "description": null, "status": null, "created": null, "createdBy": null, "updated": null, "updatedBy": null, "tags": null, "systemTags": null, "portalMetadata": null, "metadata": null, "systemMetadata": null, "userChecksum": null, "fileSize": null, "downloadURL": null, "isDownloadURLOriginalImage": null, "previewURL": null, "previewDatasetId": null, "primaryType": null, "transformationInputFiles": null, "isPreviewURLOriginalImage": null, "mainFile": null } ], "datasets": [ { "datasetId": null, "name": null, "description": null, "isVisible": null, "workflowName": null, "tags": null, "portalMetadata": null, "primaryType": null, "metadata": null, "systemMetadata": null, "status": null, "systemTags": null, "createdBy": null, "created": null, "updatedBy": null, "updated": null, "filesOrder": null, "vcsMappingId": null } ], "assetTemplateId": "string", "statusFlowId": "string", "statusFlowName": "string", "autoSubmit": true, "trashDetails": [ { "projectId": null, "movedToTrashBy": null, "movedToTrashAt": null } ], "upstreamReferences": [ { "id": null, "type": null, "assetId": null, "assetVersion": null, "labelName": null, "sourceDatasetId": null, "targetDatasetId": null, "dependencyType": null, "relativePath": null, "metadata": null } ], "downstreamReferences": [ { "id": null, "type": null, "assetId": null, "assetVersion": null, "labelName": null, "sourceDatasetId": null, "targetDatasetId": null, "dependencyType": null, "relativePath": null, "metadata": null } ], "totalFiles": 0 }, "files": [ { "datasetIds": [ null ], "filePath": "directory/file1.extension", "description": "Normal map 1 for tree object", "status": "Uploaded", "created": "2023-09-15T15:48:26.731Z", "createdBy": "5772465996530", "updated": "2023-09-15T15:48:26.731Z", "updatedBy": "5772465996530", "tags": [ "thumbnail", "small", "model" ], "systemTags": [ null ], "portalMetadata": "string", "metadata": { "StringField": "string value", "BoolField": true, "Base64BytesField": "dGVzdCB0ZXh0IGVuY29kaW5n", "DoubleField": 10.5, "FloatField": 10.005, "IntField": 10, "LongField": 9223372000000000000, "DateTimeField": "2023-08-16T08:49:12.1674180-04:00", "ListField": [ "string value", 10, false ] }, "systemMetadata": { "externalID": "4a86205c-5506-4546-9b86-a815507bc7d1", "autoGenerated": true, "dateProcessed": "2023-09-15T15:42:52.106Z", "externalUserId": "55e5725f-5722-4249-ad7a-5ee32d9e3178" }, "userChecksum": "b0ab4c79218a8a510761e25
[...]
